## org.eclipse.emf.edit.ui.provider
Class UnwrappingSelectionProvider

    java.lang.Object
      org.eclipse.emf.edit.ui.provider.UnwrappingSelectionProvider

All Implemented Interfaces:
  ISelectionProvider

    public class UnwrappingSelectionProvider

extends java.lang.Object
implements ISelectionProvider

Since:
  2.3

Field Summary
`protected java.util.List<ISelectionChangedListener>` `listeners`
`protected ISelection` `selection`
`protected ISelectionChangedListener` `selectionChangedListener`

Constructor Summary
`UnwrappingSelectionProvider(ISelectionProvider selectionProvider)`

Method Summary
`void` `addSelectionChangedListener(ISelectionChangedListener listener)`
`protected void` `fireSelectionChanged()`
`ISelection` `getSelection()`
`void` `removeSelectionChangedListener(ISelectionChangedListener listener)`
`void` `setSelection(ISelection selection)`
`protected java.lang.Object` `unwrap(java.lang.Object object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### selection

    protected ISelection selection

### listeners

    protected java.util.List<ISelectionChangedListener> listeners

### selectionChangedListener

    protected ISelectionChangedListener selectionChangedListener

Constructor Detail

### UnwrappingSelectionProvider

    public UnwrappingSelectionProvider(ISelectionProvider selectionProvider)

Method Detail

### addSelectionChangedListener

    public void addSelectionChangedListener(ISelectionChangedListener listener)

  Specified by:
    `addSelectionChangedListener` in interface `ISelectionProvider`

### getSelection

    public ISelection getSelection()

  Specified by:
    `getSelection` in interface `ISelectionProvider`

### removeSelectionChangedListener

    public void removeSelectionChangedListener(ISelectionChangedListener listener)

  Specified by:
    `removeSelectionChangedListener` in interface `ISelectionProvider`

### setSelection

    public void setSelection(ISelection selection)

  Specified by:
    `setSelection` in interface `ISelectionProvider`

### unwrap

    protected java.lang.Object unwrap(java.lang.Object object)

### fireSelectionChanged

    protected void fireSelectionChanged()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.